'''
Author: Jonathan Hoyle
Created: 3/24/17
Description: Provides login and other information for the program to reference
Notes: INVENTORY_PAGE is 14 characters long, info needed for variable parsing in update program
'''
# Import
import os, sys

# Class that hold all of the private variables needed
class Info(object):
    # Online Store Login email address
    LOGIN = "SQUARESPACE_EMAIL_GOES_HERE"
    # Squarespace Password
    PWD = "SQUARESPACE_PASSWORD_GOES_HERE"
    # Email Password
    EPWD = 'EMAIL_PASSWORD_GOES_HERE'
    # Host for the SMTP protocol
    EHOST = 'EMAIL_SMTP_PROTOCOL_HERE'
    # Port for the SMTP protocol
    EPORT = 'EMAIL_SMTP_PORT_HERE'
    # Email Template File
    ETEMPLATE = 'companyemail.txt'
    # Squarespace Management Pages
    STORE_PAGE = 'STORE_PAGE_URL_HERE'
    HOME_PAGE = 'ADMIN_PAGE_URL_HERE'
    ORDER_PAGE = 'ORDER_PAGE_URL_HERE'
    DEVELOPER_NAME = 'DEVELOPER_NAME_HERE'
    THIS_COMPANY = 'COMPANY_NAME_HERE'
    DEVELOPER_POSITION = 'DEVELOPER_POSITION_HERE'
    COMPANY_LOCATION = 'COMPANY_LOCATION_HERE'
    # Locations for various elements
    SCRAPER_DIR = 'DIR_TO_SCRAPERS_HERE' #Not needed for distribution
    SPIDER_DIR = 'DIR_TO_SPIDERS_HERE' #Not needed for distribution
    JSON_DIR = os.getcwd() + '//jsons'
    BASE_DIR = os.getcwd()
    DOWNLOADS_DIR = 'USER_DOWNLOADS_DIR_HERE'
    PYTHON_DIRS = [os.path.dirname(sys.executable)]
    try:
        DOCKER_URL = os.environ['DOCKER_HOST'].split('//')[1].split(':')[0]
    except:
        DOCKER_URL = '10.0.75.0'
    # Loading messages
    messages = ['A computer will do what you tell it to do, but that may be much different from what you had in mind.',
                'Do you suffer from ADHD? Me neith- oh look a bunny... What was I doing again? Oh, right. Here we go.',
                'What is the difference btwn a hippo and a zippo? One is really heavy, the other is a little lighter',
                'Composer hack: Waiting for reqs to be fetched is less frustrating if you add -vvv to your command.',
                "The last time I tried this the monkey didn't survive. Let's hope it works better this time.",
                'Never giving you up, never letting you down,\nnever running around and deserting you...', 'Buckle up!',
                'Please wait, while we purge the Decepticons for you. Yes, You can thanks us later!', "G'Day Mate",
                "Some things man was never meant to know. For everything else, there's Google.", 'Catchphrase!',
                'Googling to find out if the opposite of Southern Tide is Northern Oxyclean...', 'Work, work...',
                'Your left thumb points to the right and your right thumb points to the left.', 'Testing AI...',
                'Please wait, while a larger software vendor in Seattle takes over the world', 'Dicing Models',
                'Upgrading Windows, your PC will restart several times. Sit back and relax.', 'Repositioning',
                'Please wait while a larger software vendor in Seattle takes over the world', "Don't panic...",
                "Unix is user-friendly. It's just very selective about who its friends are.", 'What the what?',
                'Watching the NSA watch tumblr watch people watch dogs watching kittens...', 'Waxing Legs...',
                'Go ahead, hold your breath and do an ironman plank till loading completes', 'Making Code...',
                'Your time is very important to us. Please wait while we ignore you...', 'Rocking Out...',
                'My other load screen is much faster. You should try that one instead.', 'Playing N64...',
                "I didn't choose the engineering life. The engineering life chose me.", 'Reading RSS...',
                'The version I have of this in testing has much funnier load screens.', 'Pumping Gas...',
                'Convincing Skynet to criticize clothes instead of the alternative...', 'Breeding Fauna',
                "Testing data on Timmy... ... ... We're going to need another Timmy.", 'i need healing',
                'User: the word computer professionals use when they mean !!idiot!!', 'Waiting around',
                'We are not liable for any broken screens as a result of waiting.', 'Pumping it up!',
                'Please wait, the server is powered by a lemon and two electrodes', 'Why so serious?',
                'Please wait, checking the gravitational constant in your locale', 'Proving P=NP...',
                'Why are they called apartments if they are all stuck together?', 'Aw, snap! Not..', 'Taking Break...',
                "Chuck Norris doesn't wear a watch. HE decides what time it is.", 'Doing Donuts...', 'Levelling Up...',
                'Everything in this universe is either a potato or not a potato', 'Eating Ramen...', "Catching Z's...",
                'Whenever I find the key to success, someone changes the lock.', 'Jumping Rope...', 'Yessing Doge...',
                'The severity of your issue is always lower than you expected.', 'Stirring Pot...', 'Indexing RSS...',
                "Don't worry - a few bits tried to escape, but we caught them", 'Benching RAM...', 'Caching Logs...',
                'Computing the secret to life, the universe, and everything.', 'Filing Taxes...', 'Generating Jobs',
                'Java developers never RIP. They just get Garbage Collected.', 'Look behind you', 'Locating Wumpus',
                "Please wait, we're building the buildings as fast as we can", 'Traveling to...', 'Slaying Oryx...',
                'Please wait, pay no attention to the man behind the curtain', 'Have a good day.', '(Insert quarter)',
                'Please wait, a few bits tried to escape, but we caught them', 'Just count to 10', 'Is this Windows?',
                'Please wait, take a moment to sign up for our lovely prizes', 'Herding Ducks...', 'Playing Chess...',
                'Roses are red violets are blue Ryuu ga waga teki wo kurau!', 'Firing Lasers...', 'Party Rocking...',
                "Initializing time travel to obtain next year's catalogs...", 'Building Lego...', 'Smashing Pots...',
                'If you type Google into Google you can break the internet', 'Dropping Bass...', 'Spawning Boss...',
                'Hello, IT... Have you tried forcing an unexpected reboot?', 'Launching App...', 'Drawing Icons...',
                'Forget you saw that password I just typed into the IM ...', 'Grinding Mage...', 'Rushing Zergs...',
                "Please wait, dig on the 'X' for buried treasure... ARRR!", 'Growing Beard...', 'Obfuscating C...',
                'Hacking the Penta... I mean logging in to Squarespace...', 'Shedding Core...', 'Migrating CSS...',
                "Criticizing Jon via hidden AI he didn't know he coded...", 'Grunting Ruby...', 'Firing Bosons...',
                'Putting the icing on the cake. The cake is not a lie...', 'Raising Funds...', 'Solving for X...',
                'Space is invisible mind dust, and stars are but wishes.', 'Relaxing Splines', 'Wobbling to 299%',
                "Coffee at my place, tommorow at 10A.M. - don't be late!", 'Opening the path', 'Working Miracles',
                "Testing on Timmy... We're going to need another Timmy.", 'Feeling the beat', 'Hemming pants...',
                'Please wait, would you prefer chicken, steak, or tofu?', 'Are we there yet?', 'Pushing pixels...',
                'Checking the gravitational constant in your locale...', 'Pushing Pixels...', 'Reaching 88mph...',
                'There is no spoon. Because we are not done loading it', 'Talking to Mom...', 'Doing Macarena...',
                'I am free of all prejudices. I hate everyone equally.', 'Invading Space...', 'Generating Map...',
                'Hello IT, have you tried turning it off and on again?', 'Typing Letters...', 'Shooting Pucks...',
                'Kindly hold on as we convert this bug to a feature...', 'Tipping Fedora...', 'Walking Runway...',
                "Please wait, it's still faster than you could draw it", 'Finding Screws...', 'Ordering Pizza...',
                'The server is powered by a lemon and two electrodes.', 'Banishing Evil...', 'Taking Selfies...',
                'I feel like im supposed to be loading something. . .', 'Racing GoKarts...', 'Baking Muffins...',
                'What is the airspeed velocity of an unladen swallow?', 'Parsing System...', 'Leaking Memory...',
                'The Elders of the Internet would never stand for it.', 'Eating Poutine...', 'Emptying Pipes...',
                'Please wait, while the satellite moves into position', 'Hitting Pinata...', 'Normalizing Power',
                'Chuck Norris never git push. The repo pulls before.', 'Scrubbing Terrain', 'Is this thing on?',
                'Time flies like an arrow; fruit flies like a banana', 'Achieving Nirvana', 'Sating the Dragon',
                "Sorry we are busy catching em' all, we're done soon", 'mechanical noises', 'Squashing bugs...',
                "If I'm not back in five minutes, just wait longer.", 'Granting wishes...', 'Building a wall...',
                'A different error message? Finally, some progress!', 'Lifting Weights...', 'Building Igloos...',
                "It's 10:00pm. Do you know where your children are?", 'Righting wrongs...', 'Battling Robots...',
                'Please wait, hum something loud while others stare', 'Piloting Tardis...', 'Popping Popcorn...',
                'Hold on while we wrap up our git together...sorry', 'Creating Hashes...', 'Petting Kittens...',
                'Please wait, while the little elves draw your map', 'Walking Puppies...', 'Recycling Memes...',
                "Going to Cindi's to get a Coke and Hershey Bar...", 'Counting to Ten...', 'Clearing Screen...',
                '(Pay no attention to the man behind the curtain)', 'Letting it Snow...', 'Programming PCI...',
                'Please wait while the little elves draw your map', 'Inverting Ports...', 'Watering Plants...',
                'Unicorns are at the end of this road, I promise.', 'Rejecting Cloud...', 'Ejecting Floppy...',
                'Please wait while the intern refills his coffee.', 'Debarking Ark Ramp', 'Integrating Curves',
                "It is dark. You're likely to be eaten by a grue.", 'Start your engines', 'Skipping cutscenes',
                'Failing to convey elevator music through text...', 'Shuffling the deck', 'Returning the slab',
                'Listening for the sound of one hand clapping...', 'Loading Simulation', 'Assembling Voltron',
                "Keeping all the 1's and removing all the 0's...", 'Decrypting Engrams', 'Preparing Defenses',
                'Your computer has a virus, its name is Windows!', 'Filtering morale...', 'Dividing by zero...',
                'Initializing search for frustrated developer...', 'Twiddling thumbs...', 'Winter is coming...',
                'Contacting Phineas for creative consultation...', "What's under there?", 'Updating Updater...',
                "We're building the buildings as fast as we can", 'Formulating Plan...', 'Waking Up Gnomes...',
                'Get some coffee and come back in ten minutes..', 'Stomping Goombas...', 'Removing Biebers...',
                'When was the last time you dusted around here?', 'Performing Magic...', 'Autotuning Kanye...',
                "There is no cow level, but there's a goat one!", 'Running Marathon...', 'Mashing Potatoes...',
                'Two men walked into a bar; the third ducked...', 'Benching Network...', 'Choosing Pikachu...',
                'Please wait, the architects are still drafting', 'Building Snowman...', 'Applying Filters...',
                'Please wait, the bits are flowing slowly today', 'Shaving Mustache...', 'Encrypting Lines...',
                'Depixelating Inner Mountain Surface Back Faces', 'Increasing Power...', 'Checking Sensors...',
                "Please wait, i'm not lazy, I'm just relaxed!!", 'Chugging Redbull...', 'Searching Google...',
                'Please wait, we love you just the way you are', 'Answering Emails...', 'Compressing Data...',
                'Laughing at your pictures-i mean, loading...', 'Scripting Python...', 'Benching Wattage...',
                'Looking for sense of humour, please hold on.', 'Learning to Code...', 'Carbonating Soda...',
                "Never let a computer know you're in a hurry.", 'Building Data Trees', 'Cohorting Exemplars',
                'Please wait, would you like fries with that?', 'Factoring Pay Scale', 'Gesticulating Mimes',
                "Please wait, why don't you order a sandwich?", 'Mixing Genetic Pool', 'Perturbing Matrices',
                'Overconstraining Dirty Industry Calculations', 'Untap, Upkeep, Draw', 'Reviving dead memes',
                "Dig on the 'X' for buried treasure... ARRR!", 'Dusting the cobwebs', 'BEEP BEEP BOOP BEEP',
                "Some days, you just can't get rid of a bug!", 'Joining the OWCA...', 'Reviving Cayde-6...',
                'Please wait, as if you had any other choice', 'Bending the spoon...', 'Spawn more Overlord!',
                'Finding out what Jon messed up this time...', 'Gathering Goblins...', 'Chasing Squirrels...',
                'Please wait until the sloth starts moving.', 'Conquering France...', 'Fighting Bad Guys...',
                'Discovering new ways of making you wait...', 'Driving Batmobile...', 'Studying Calculus...',
                'Please wait, and dream of faster computers', 'Rescuing Hostages...', 'Taking Screenshot...',
                "Please wait, you're not in Kansas any more", 'Tweeting Hashtags...', 'Revoking Licenses...',
                'Calculating Llama Expectoration Trajectory', 'Dampening Gravity...', 'Connecting to Bus...',
                'Initializing Rhinoceros Breeding Timetable', 'Navigating Arrays...', 'Overflowing Stack...',
                'Seeding Architecture Simulation Parameters', 'Rendering Dialogs...', 'Jiggling Internet...',
                'And now for something completely different', 'Testing Processor...', 'Debugging Prompts...',
                'Finding more school flags for the store...', 'Connecting Floats...', 'Rounding Integers...',
                'Contacting Walt about the mouse problem...', 'Bypassing Silicon...', 'Stringifying Json...',
                'Removing fabric fibers from motherboard...', 'Deleting Comments...', 'Charging Ozone Layer',
                'Would you prefer chicken, steak, or tofu?', 'Extracting Resources', 'Searching for Llamas',
                'When nothing is going right, go left!!...', 'Sequencing Particles', 'Splatting Transforms',
                "Where there's a will, there's a relative.", 'Synthesizing Gravity', 'Weathering Buildings',
                'Kindly hold on as our intern quits vim...', 'Dropping in Pochinki', 'Charging spirit bomb',
                "Whatever you do, don't look behind you...", 'Charging Limit Break', 'Polishing buttons...',
                'Please wait, and enjoy the elevator music', 'Unleashing Freedom...', 'We need a new fuse...',
                'Please wait, go ahead -- hold your breath', 'The bits are breeding', 'Have you lost weight?',
                "Please wait, don't think of purple hippos", 'How did you get here?', 'Ordering 1s and 0s...',
                'Exposing Flash Variables to Streak System', 'Debugging Debugger...', 'Feeding Developers...',
                'Punching Zavala... Running from Zavala...', 'Fishing for Change...', 'Converting Celsius...',
                'Calculating best route to Disney World...', 'Completing Puzzles...', 'Brightening Orange...',
                "It's still faster than you could draw it", 'Accelerating Disks...', 'Defeating Creepers...',
                'Optimism - is a lack of information.....', 'Typing Konami Code...', 'Burning HDMI Cords...',
                'Patience! This is difficult, you know...', 'Running Diagnostic...', 'Warming Hyperdrive...',
                "Please wait, at least you're not on hold", 'Ingesting Caffeine...', 'Compiling Binaries...',
                "Please wait, we're testing your patience", 'Begging for Change...', 'Chasing Waterfalls...',
                'Calculating Inverse Probability Matrices', 'Airbrushing Actors...', 'Turning in Algebra...',
                'Debunching Unionized Commercial Services', 'Losing Flappy Bird...', 'Sharpening Pencils...',
                'Projecting Law Enforcement Pastry Intake', 'Attacking Godzilla...', 'Adding Hidden Agendas',
                'Sonically Enhancing Occupant-Free Timber', 'Adjusting Bell Curves', 'Deleting Ferry Routes',
                'Contacting Ferb for British narrative...', 'Flushing Pipe Network', 'Setting Advisor Moods',
                'Spinning violently around the y-axis...', 'Synthesizing Wavelets', 'Zeroing Crime Network',
                'While the satellite moves into position', 'Replacing Stitches...', 'Traveling to Hanamura',
                'My other loading screen is much faster.', 'Jumping to hyperspace', 'Loading machine broke',
                'Should have used a compiled language...', 'Escorting the payload', 'Executing Order 66...',
                'I think I am, therefore, I am. I think.', "It's not you. It's me.", 'Embiggening Prototypes',
                'Sending data to NS-i mean, our servers.', 'Distracted by cat gifs', 'Downloading more RAM..',
                'Switching to the latest JS framework...', 'Live long and prosper.', 'You may call me Steve.',
                'Please wait... Consulting the manual...', 'Delivering Presents...', 'Assembling Avengers...',
                'Last call for the data bus! All aboard!', 'Pondering Existence...', 'Kicking Field Goals...',
                'Please wait, keep calm and npm install', 'Declaring Variables...', 'You Look Good Today...',
                'What do you call 8 Hobbits? A Hobbyte.', 'Disrupting Industry...', 'Bypassing Capacitor...',
                'Please hold on as we reheat our coffee', 'Fluctuating Objects...', 'Dithering Broadband...',
                'Waiting Daenerys say all her titles...', 'Rolling Rims to Win...', 'Completing Geometry...',
                'Diluting Livestock Nutrition Variables', 'Calibrating Blue Skies', 'Compressing Fish Files',
                'Initializing My Sim Tracking Mechanism', 'Depositing Slush Funds', 'Mopping Occupant Leaks',
                'Determining why the bunny is psycho...', 'Prioritizing Landmarks', 'This loading is a line',
                'Hum something loud while others stare', '*Elevator Music Plays*', 'Some assembly required',
                'All your web browser are belong to us', 'Loading the cavalry...', 'Pressing the shirts...',
                'Connecting Neurotoxin Storage Tank...', 'Checking pant sizes...', 'Hacking Squarespace...',
                'Be careful not to step in the git-gui', 'Finding Circlespace...', 'Rejecting fake news...',
                'Wait, do you smell something burning?', 'Reticulating splines...', 'Tokenizing real life...',
                "I've got problem for your solution...", 'Follow the white rabbit', 'Do you come here often?',
                'I need to git pull --my-life-together', 'Spinning the hamster...', 'Installing dependencies',
                'Cracking military-grade encryption...', 'Mining some bitcoins...', 'Reticulating Splines...',
                'When nothing is going right, go left!', 'Scanning Power Level...', 'Finding Dragon Balls...',
                'Reading Terms and Conditions for you.', 'Entering Danger Zone...', 'Destroying Deathstar...',
                'Deciding What Message to Display Next', 'Re-heating Leftovers...', 'Reading Instructions...',
                'Increasing Accuracy of RCI Simulators', 'Iterating Javascript...', 'Synthesizing Drivers...',
                'Integrating Illumination Form Factors', 'Backing Up Primaries...', 'Spiking Reactor Core...',
                'Routing Neural Network Infanstructure', 'Pronouncing Gigawatt...', 'Automating Processes...',
                'If you are reading this, you can read', 'Deunionizing Bulldozers', 'Resolving GUID Conflict',
                "I swear it's around here somewhere...", 'Retracting Phong Shader', 'Sub-Sampling Water Data',
                'Pulling interface here via tractor...', 'Finishing this senta...', 'Researching cheat codes',
                'I should have had a V8 this morning.', 'Wizard needs food badly', 'Reaching the Checkpoint',
                "Warning: Don't set yourself on fire.", 'Downloading swatches...', 'Unpacking trunk show...',
                "Making sure all the i's have dots...", 'Rounding Squarespace...', 'Opening soda bottles...',
                'Please wait, follow the white rabbit', 'Looking for exact change', 'Stay awhile and listen..',
                'Partitioning City Grid Singularities', 'Please wait, git happens', 'Updating dependencies...',
                'Reverse Engineering Image Consultant', 'Loading funny message...', 'Deleting System32 folder',
                'Setting Universal Physical Constants', 'Alt-F4 speeds things up.', 'Running with scissors...',
                'Calculating optimal bow tie knots...', 'Searching for Dancers...', 'Turning Down for What...',
                'Removing haters from social media...', 'Warming Up Kryptonite...', 'Booting Native Client...',
                'Starting Ultron for data analysis...', 'Calibrating Positions...', 'Emulating Playstation...',
                'Making more puns in code comments...', 'Purging Local Storage...', 'Powering Mitochondria...',
                '640K ought to be enough for anybody', 'Calculating Qi charge...', 'Kludging Playback Bar...',
                "Didn't know paint dried so quickly.", 'Graphing Whale Migration', 'Increasing Magmafacation',
                'Digested cookies being baked again.', 'Populating Lot Templates', 'Loading your digital hug',
                'Reconfiguring User Mental Processes', 'LOADING 001: ARP 303 Saw', 'Experiencing Tranquility',
                'Removing Vehicle Avoidance Behavior', 'Justice loads from above', 'Googling fabric costs...',
                'Stretching before rigorous activity', 'Re-packing trunk show...', "I swear it's almost done.",
                'Filling Squarespace with circles...', 'You shall not pass! yet..', 'Acquiring Freshavacado...',
                'Deleting puns from code comments...', 'May the forks be with you', 'Activating Tactical Visor',
                'Determining program Pokemon type...', 'Roping some seaturtles...', 'Loading A-Mei-Zing Things',
                '...and enjoy the elevator music...', "I'm going to walk the dog", 'Once more into the breach',
                'Creating time-loop inversion field', 'Trying to sort in O(n)...', 'Activating Defense Matrix',
                "Let's take a mindfulness minute...", 'Downloading Downloader...', 'Do you even notice these?',
                "Time flies when you're having fun.", 'Definitely not a virus...', 'Get ready for a surprise!',
                'A commit a day keeps the mobs away', 'Blowing Game Cartridge...', 'Stratifying Ground Layers',
                "This is not a joke, it's a commit.", 'Postponing Half Life 3...', 'Hiding Willio Webnet Mask',
                "We're going to need a bigger boat.", 'Virtualizing Microchip...', 'Thinking of Witty Text...',
                '@todo Insert witty loading message', 'Inverting Transponders...', 'Celebrating Good Times...',
                'Obfuscating quantum entaglement...', 'Battling Feature Creep...', 'Battling Feature Creep...',
                'Please wait, the bits are breeding', 'Celebrating Good Times...', 'Accessing City archives...',
                'Downloading Satellite Terrain Data', 'Neutralizing Enemy Systems', 'A brawl is surely brewing!',
                'Initializing Robotic Click-Path AI', 'Disconnecting from Reality', 'Initializing socialization',
                'Preparing Sprites for Random Walks', 'Initiating launch sequence', "TIME'S UP - LET'S DO THIS!",
                'Cheers love, the servers are here!', 'Retrieving from Back Store', 'Removing Texture Gradients',
                'Obtaining proper tie procedures...', 'Polishing Water Highlights', 'Obfuscating Quigley Matrix',
                'The architects are still drafting', 'Modeling Object Components', 'Gathering Particle Sources',
                "...at least you're not on hold...", 'Flood-Filling Ground Water', 'Asserting Packed Exemplars',
                'The bits are flowing slowly today', 'Applying Feng Shui Shaders', 'Transitioning to Django...',
                'Constructing additional pylons...', 'Determining Auxiliaries...', 'Structuring Chlorophyll...',
                'Web developers do it with <style>', 'Calculating Percentages...', 'Enhancing License Plate...',
                'Running swag sticker detection...', 'Evaluating Life Choices...', 'Setting Phasers to Stun...',
                'Destabilizing Economic Indicators', 'Please wait, format C: ...', 'Entangling superstrings...',
                'Determining Width of Blast Fronts', 'Everything sounds the same', 'Load it and they will come',
                'Removing Road Network Speed Bumps', "We're making you a cookie.", 'Swapping time and space...',
                'Unable to Reveal Current Activity', 'Generating witty dialog...', 'It is Wednesday my dudes...',
                'They see me loading, They waiting', 'Creating better acronyms...', 'Performing a barrel roll...',
                'Extracting lunch from Pokeball...', 'Adding Heelys to catalog...', 'Determining store weight...',
                'Decrypting dihydrogen monoxide...', 'Ryuu ga waga teki wo kurau!', 'Calibrating flux capacitors',
                'Counting backwards from Infinity', 'how do i turn this thing on', 'Lecturing Errant Subsystems',
                'Do not run! We are your friends!', 'Iterating Cellular Automata', 'Decomposing Singular Values',
                'Spinning the wheel of fortune...', 'Collecting Meteor Particles', 'Coalescing Cloud Formations',
                "I'm sorry Dave, I can't do that.", 'Binding Sapling Root System', 'Applying Theatre Soda Layer',
                '99 bottles of beer on the wall..', 'Consuming Spaghetti Code...', 'Determining USB Position...',
                'Convincing AI not to turn evil..', 'Generating Volume Slider...', 'TODO: Insert elevator music',
                'Adults are just kids with money.', 'How about this weather, eh?', 'Optimizing the optimizer...',
                'Simulating traveling salesman...', "Hiding all ;'s in your code", 'Well, this is embarrassing.',
                'Still faster than Windows update', 'Locating Jebediah Kerman...', 'Cleaning off the cobwebs...',
                'Implementing Impeachment Routine', 'Adjusting flux capacitor...', 'Computing chance of success',
                'Realigning Alternate Time Frames', "We're testing your patience", 'Pre-ordering strange fashion',
                'Speculating Stock Market Indices', 'Looking for the power button', 'Decrementing Tectonic Plates',
                'Time-Compressing Simulator Clock', 'Bureacritizing Bureaucracies', 'Aligning Covariance Matrices',
                'Recombobulating Discombobulators', 'Evaluating Weissman Score...', 'Updating to Windows Vista...',
                'Getting underrated support plays', 'Searching for plot device...', "Don't break your screen yet!",
                'Creating new loading messages...', 'Unpacking inception window...', 'Criticizing fashion senses...',
                "Don't think of purple hippos...", 'Stopping to smell the flowers', 'Opening the loading bay doors',
                'Would you like fries with that?', 'Scattering Rhino Food Sources', 'Integrating Population Graphs',
                "Why don't you order a sandwich?", 'Inserting Sublimated Messages', 'Containing Existential Buffer',
                'All I really need is a kilobit.', 'Concatenating Sub-Contractors', 'Computing Optimal Bin Packing',
                'We need more dilithium crystals', 'Aesthesizing Industrial Areas', 'Attracting Venture Capital...',
                'Finding someone to hold my beer', 'Life is Short - Talk Fast!!!!', 'Reconfoobling energymotron...',
                'BRB, working on my side project', "You're not in Kansas any more", 'Go ahead -- hold your breath!',
                'Feel free to spin in your chair', 'Establishing Agent Connections', 'Fixing Election Outcome Matrix',
                'Initializing the initializer...', 'Attempting to Lock Back-Buffer', 'You seem like a nice person...',
                'Shovelling coal into the server', "Help, I'm trapped in a loader!", "Let's hope it's worth the wait",
                'Reversing Bandwidth Throttle...', 'Where did all the internets go', 'Loading the enchanted bunny...',
                'Compounding Inert Tessellations', 'As if you had any other choice', 'Removing Porygon from system...',
                'Now with 100% more Screenshare!', 'Paging Ferb for tech support...', 'Fabricating additional shuriken']
    # More Squarespace Management Pages, can't comment those due to other program parsing though
    # BEGIN IPS
    INVENTORY_PAGE = 'BASE_STORE_INVENTORY_PAGE_HERE'
    INVENTORY_PAGE_Fall_2016 = 'ALTERNATE_STORE_PAGE_1_HERE'
    INVENTORY_PAGE_Spring_2017 = 'ALTERNATE_STORE_PAGE_2_HERE'
    TESTING_PAGE = 'STORE_TEST_PAGE_HERE'
